Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/avm?api_key=YOUR_API_KEY&property_id=10004f7afe0c1946"
const houski_recipe_data = async (): Promise<AvmResponse> => {
// You must copy the AvmResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/avm');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('property_id', '10004f7afe0c1946');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: AvmResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": false,
"cost_cents": 500.0,
"data": {
"address": "6 1744 7 Street SW",
"bathroom_full": 1,
"bathroom_half": 0,
"bedroom": 1,
"city": "Calgary",
"comparable_properties": [
{
"address": "308 310 804 18 Avenue SW",
"distance_km": 0.12488781,
"estimate_sale_date_sold": "2024-04-21",
"image": "e37c083701ec47cc_ac36fb4f",
"interior_sq_m": 103.86473,
"latitude": 51.03719,
"list_price": 989900,
"longitude": -114.07973
},
{
"address": "2701 301 11 Avenue SW",
"distance_km": 1.0786399,
"estimate_sale_date_sold": "2025-05-24",
"image": "a29a33568b928a5a_16002dd9",
"interior_sq_m": 109.81048,
"latitude": 51.04313,
"list_price": 1273000,
"longitude": -114.068565
},
{
"address": "203 137 26 Avenue SW",
"distance_km": 1.2055377,
"estimate_sale_date_sold": "2026-08-03",
"image": "22c5040ac14a7ed8_89175e14",
"interior_sq_m": 113.61947,
"latitude": 51.0292,
"list_price": 1149900,
"longitude": -114.06595
},
{
"address": "3 538 23 Avenue SW",
"distance_km": 0.5426734,
"estimate_sale_date_sold": "2023-01-30",
"image": "e501ce76e8c731e7_979f1b2d",
"interior_sq_m": 123.0026,
"latitude": 51.032673,
"list_price": 1250000,
"longitude": -114.073715
},
{
"address": "3002 930 16 Avenue SW",
"distance_km": 0.40573782,
"estimate_sale_date_sold": "2023-11-20",
"image": "cccc6f2799a1ea23_de9843cd",
"interior_sq_m": 122.9097,
"latitude": 51.038494,
"list_price": 1049900,
"longitude": -114.083595
},
{
"address": "1203 210 18 Avenue SW",
"distance_km": 0.88240093,
"estimate_sale_date_sold": "2026-01-31",
"image": "fdcd9c6421a79218_c8f2762c",
"interior_sq_m": 121.60907,
"latitude": 51.037384,
"list_price": 1099900,
"longitude": -114.06676
},
{
"address": "310 135 26 Avenue SW",
"distance_km": 1.2055377,
"estimate_sale_date_sold": "2025-08-31",
"image": "3d671f89f62a6b0a_e47c8ca9",
"interior_sq_m": 114.083984,
"latitude": 51.0292,
"list_price": 1298000,
"longitude": -114.06595
},
{
"address": "1104 301 11 Avenue SW",
"distance_km": 1.0786399,
"estimate_sale_date_sold": "2025-11-12",
"image": "85c4905cfc656151_c3784f01",
"interior_sq_m": 120.30843,
"latitude": 51.04313,
"list_price": 1259900,
"longitude": -114.068565
},
{
"address": "402 228 26 Avenue SW",
"distance_km": 1.0207393,
"estimate_sale_date_sold": "2026-10-14",
"image": "d3efaf4181465776_9660034b",
"interior_sq_m": 114.920105,
"latitude": 51.02988,
"list_price": 1349000,
"longitude": -114.06851
},
{
"address": "1 2 2122 15 Street SW",
"distance_km": 1.2502657,
"estimate_sale_date_sold": "2025-07-25",
"image": "701703ade795233_3d02be0a",
"interior_sq_m": 96.52626,
"latitude": 51.035786,
"list_price": 999900,
"longitude": -114.09705
}
],
"comparable_properties_total": 29041,
"construction_year": 2011,
"country": "Canada",
"den": 0,
"estimate_list_price": {
"confidence_score": 95.00434,
"model_metrics": {
"coefficient_of_variation": 34.37363413774068,
"error_10th_percentile": 4142.26904296875,
"error_25th_percentile": 10785.3046875,
"error_50th_percentile": 25437.125,
"error_75th_percentile": 53379.21875,
"error_90th_percentile": 106661.171875,
"error_95th_percentile": 183243.8125,
"forecast_std_dev": 219811.484375,
"mae": 59226.43359375,
"mape": 8.339874267578125,
"mean_bias": -8763.900390625,
"median_bias": 496.109375,
"median_mape": 4.995657920837402,
"mse": 48393924608.0,
"over_prediction_rate": 50.6266753604289,
"pct_error_10th": 0.8739217519760132,
"pct_error_90th": 15.445496559143066,
"rmse": 219986.1875,
"testing_r_squared": 0.94,
"training_r_squared": 0.99,
"under_prediction_rate": 49.37332463957111,
"within_10_pct": 77.64978627834529,
"within_15_pct": 89.26320365138012,
"within_20_pct": 94.435992175614,
"within_5_pct": 50.03260160834601
},
"value": 1171433.4
},
"estimate_rent_monthly": {
"confidence_score": 93.86368,
"model_metrics": {
"coefficient_of_variation": 23.273093277937697,
"error_10th_percentile": 29.049169540405273,
"error_25th_percentile": 75.1527099609375,
"error_50th_percentile": 168.203125,
"error_75th_percentile": 335.72265625,
"error_90th_percentile": 647.5496215820312,
"error_95th_percentile": 1060.30810546875,
"forecast_std_dev": 679.4482421875,
"mae": 318.021240234375,
"mape": 10.556913375854492,
"mean_bias": -41.29466247558594,
"median_bias": -4.029541015625,
"median_mape": 6.1363205909729,
"mse": 463356.25,
"over_prediction_rate": 49.3053225048661,
"pct_error_10th": 1.0789308547973633,
"pct_error_90th": 20.960853576660156,
"rmse": 680.7027587890625,
"testing_r_squared": 0.7,
"training_r_squared": 0.84,
"under_prediction_rate": 50.6946774951339,
"within_10_pct": 68.61534331163165,
"within_15_pct": 82.13974092220954,
"within_20_pct": 89.09322773340492,
"within_5_pct": 42.42566615209075
},
"value": 2617.871
},
"estimate_sale_price": {
"confidence_score": 94.26222,
"model_metrics": {
"coefficient_of_variation": 45.40137217851901,
"error_10th_percentile": 5040.875,
"error_25th_percentile": 12724.40625,
"error_50th_percentile": 28462.125,
"error_75th_percentile": 58169.59375,
"error_90th_percentile": 115548.2578125,
"error_95th_percentile": 188690.921875,
"forecast_std_dev": 286273.5,
"mae": 67500.0390625,
"mape": 10.191784858703612,
"mean_bias": -9652.046875,
"median_bias": -987.84375,
"median_mape": 5.737776279449463,
"mse": 82045485056.0,
"over_prediction_rate": 48.96551724137931,
"pct_error_10th": 1.0408254861831665,
"pct_error_90th": 18.17011833190918,
"rmse": 286435.84375,
"testing_r_squared": 0.91,
"training_r_squared": 0.95,
"under_prediction_rate": 51.03448275862069,
"within_10_pct": 73.1776047460141,
"within_15_pct": 85.44308490915833,
"within_20_pct": 91.67222840192808,
"within_5_pct": 45.761957730812014
},
"value": 958227.5
},
"image": "10004f7afe0c1946_cfcd8c1a",
"interior_sq_m": 103.8656,
"latitude": 51.036118,
"longitude": -114.0792,
"price_history": [
{
"date": "2025-05-21",
"estimate_list_price": 1226528.2,
"estimate_rent_monthly": 2645.5186,
"estimate_sale_price": 956134.4
},
{
"date": "2025-06-20",
"estimate_list_price": 1230829.8,
"estimate_rent_monthly": 2699.56,
"estimate_sale_price": 945681.1
},
{
"date": "2025-07-20",
"estimate_list_price": 1230829.8,
"estimate_rent_monthly": 2699.56,
"estimate_sale_price": 952096.2
},
{
"date": "2025-08-19",
"estimate_list_price": 1231380.4,
"estimate_rent_monthly": 2731.8936,
"estimate_sale_price": 943941.25
},
{
"date": "2025-09-18",
"estimate_list_price": 1237270.8,
"estimate_rent_monthly": 2683.3906,
"estimate_sale_price": 917223.06
},
{
"date": "2025-10-18",
"estimate_list_price": 1247611.2,
"estimate_rent_monthly": 2565.5933,
"estimate_sale_price": 893974.94
},
{
"date": "2025-11-17",
"estimate_list_price": 1249092.2,
"estimate_rent_monthly": 2524.5159,
"estimate_sale_price": 893974.94
},
{
"date": "2025-12-17",
"estimate_list_price": 1249092.2,
"estimate_rent_monthly": 2520.1343,
"estimate_sale_price": 880237.7
},
{
"date": "2026-01-16",
"estimate_list_price": 1249092.2,
"estimate_rent_monthly": 2518.4934,
"estimate_sale_price": 880877.6
},
{
"date": "2026-02-15",
"estimate_list_price": 1254764.6,
"estimate_rent_monthly": 2518.4934,
"estimate_sale_price": 878743.06
},
{
"date": "2026-03-17",
"estimate_list_price": 1270952.1,
"estimate_rent_monthly": 2521.8545,
"estimate_sale_price": 877349.7
},
{
"date": "2026-04-16",
"estimate_list_price": 1258510.9,
"estimate_rent_monthly": 2521.4602,
"estimate_sale_price": 872052.6
},
{
"date": "2026-05-16",
"estimate_list_price": 1261794.1,
"estimate_rent_monthly": 2521.5732,
"estimate_sale_price": 868432.5
},
{
"date": "2026-06-15",
"estimate_list_price": 1244484.8,
"estimate_rent_monthly": 2530.6543,
"estimate_sale_price": 849964.9
},
{
"date": "2026-07-15",
"estimate_list_price": 1209812.2,
"estimate_rent_monthly": 2555.596,
"estimate_sale_price": 825288.6
},
{
"date": "2026-08-14",
"estimate_list_price": 1209812.2,
"estimate_rent_monthly": 2613.8472,
"estimate_sale_price": 826863.44
},
{
"date": "2026-09-13",
"estimate_list_price": 1215590.2,
"estimate_rent_monthly": 2613.8472,
"estimate_sale_price": 955422.5
},
{
"date": "2026-10-13",
"estimate_list_price": 1214203.4,
"estimate_rent_monthly": 2613.8472,
"estimate_sale_price": 965841.5
},
{
"date": "2026-11-12",
"estimate_list_price": 1171433.4,
"estimate_rent_monthly": 2617.871,
"estimate_sale_price": 958227.5
}
],
"property_id": "10004f7afe0c1946",
"property_type": "Apartment",
"property_warning_flags": [
{
"description": "This home prices well above typical homes nearby, which can affect how it appraises and who can finance it.",
"warning": "High-end for the area"
}
],
"province": "Alberta",
"score_air_quality": 6,
"score_bicycle": 9,
"score_cell_coverage": 10,
"score_curb_appeal": 6,
"score_earthquake": 9,
"score_education": 9,
"score_entertainment": 10,
"score_family": 0,
"score_fire": 10,
"score_flood": 9,
"score_food_and_drink": 10,
"score_hurricane": 10,
"score_internet": 10,
"score_nature": 6,
"score_parking": 8,
"score_quiet": 3,
"score_retirement": 1,
"score_safety": 6,
"score_shopping": 9,
"score_smell": 6,
"score_tornado": 8,
"score_total": 7,
"score_total_percent": 0.73200005,
"score_traffic": 1,
"score_transit": 9,
"score_walkability": 10,
"score_water_quality": 8,
"valuation_date": "2026-11-12"
},
"error": "",
"price_quote": false,
"time_ms": 291,
"url": "https://www.houski.ca/avm-report/10004f7afe0c1946_536a8ab4"
}